| Home | Libraries | People | FAQ | More

##### basic_seq_packet_socket::get_option (1 of 2 overloads)

Inherited from basic_socket.

Get an option from the socket.

    template<
        typename GettableSocketOption>
    void get_option(
        GettableSocketOption & option) const;

This function is used to get the current value of an option on the socket.

###### Parameters

option

  The option value to be obtained from the socket.

###### Exceptions

boost::system::system_error

  Thrown on failure.

###### Example

Getting the value of the SOL_SOCKET/SO_KEEPALIVE option:

    boost::asio::ip::tcp::socket socket(io_service);
    ...
    boost::asio::ip::tcp::socket::keep_alive option;
    socket.get_option(option);
    bool is_set = option.value();